fillableAttacherPipeFIX = {};

function fillableAttacherPipeFIX.prerequisitesPresent(specializations)
    return true;
end;

function fillableAttacherPipeFIX:load(xmlFile)
end;

function fillableAttacherPipeFIX:mouseEvent(posX, posY, isDown, isUp, button)
end;

function fillableAttacherPipeFIX:keyEvent(unicode, sym, modifier, isDown)
end;

function fillableAttacherPipeFIX:update(dt)
end;

function fillableAttacherPipeFIX:updateTick(dt)
end;

function fillableAttacherPipeFIX:draw()
end;

function Fillable:onAttach(attacherVehicle)
	if self.attacherPipe ~= nil then
		local vehicle = Fillable.findAttacherPipeVehicle(attacherVehicle, self, true, nil);
		if vehicle ~= nil then
			self:attachPipe(self, vehicle);
		end
	elseif self.attacherPipeRef ~= nil then
		local vehicle = Fillable.findAttacherPipeVehicle(attacherVehicle, self, false, nil);
		if vehicle ~= nil then
			vehicle:attachPipe(vehicle, self);
			self:attachPipe(vehicle, self);
		end
	end
end

function Fillable:onDetach()
	if self.attacherPipe ~= nil then
		if self.attacherPipeRefVehicle ~= nil then
			self:detachPipe();
		end;
	elseif self.attacherPipeRef ~= nil then
		if self.attacherPipeVehicle ~= nil then
			self.attacherPipeVehicle:detachPipe();
			self:detachPipe();
		end;
	end
end
